Skip to content
vocapable.Docs

Store privacy requests received and how each was handled

GET
/v1/workspace/integrations/privacy-requests
curl --request GET \
--url https://api.vocapable.com/v1/workspace/integrations/privacy-requests \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
Response List Privacy Requests V1 Workspace Integrations Privacy Requests Get
Array<object>
WorkspacePrivacyRequest
object
id
required
Id
string
provider
required
Provider
string
Allowed value: shopify
topic
required
Topic
string
Allowed values: customers/data_request customers/redact shop/redact
shop_domain
required
Shop Domain
string
status
required
Status
string
Allowed values: received completed
received_at
required
Received At
string format: date-time
due_at
required
Due At
string format: date-time
completed_at
required
Any of:
string format: date-time
outcome
required
Any of:
string
Example
[
{
"provider": "shopify",
"topic": "customers/data_request",
"status": "received"
}
]